%define upstream_name Perl-osnames
%define upstream_version 0.11

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 3

Summary:	List possible $^O ($OSNAME) values, with description
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Perl/%{upstream_name}-%{upstream_version}.tar.gz

BuildArch:	noarch

%description
This package contains $data which lists possible values of $^O along
with description for each. It also provides some helper functions.

Tags
  *   unix

      Unix-like operating systems. This currently excludes beos/haiku.

  *   bsd

      BSD-derived Unix operating systems.

  *   sysv

      SysV-derived Unix operating systems.

  *   posix

      For POSIX-compliant OSes, including fully-, mostly-, and
      largely-compliant ones (source:
      <http://en.wikipedia.org/wiki/POSIX>).

      From what I can gather, dec_osf is not POSIX compliant, although
      there is a posix package for it.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.110.0-3.mga6
+ Revision: 1031986
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.110.0-2.mga6
+ Revision: 966897
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 0.110.0-1.mga6
+ Revision: 847047
- imported package perl-Perl-osnames

